[csw-devel] SF.net SVN: gar:[7857] csw/mgar/pkg/mpeg4ip
dmichelsen at users.sourceforge.net
dmichelsen at users.sourceforge.net
Mon Jan 4 12:52:35 CET 2010
Revision: 7857
http://gar.svn.sourceforge.net/gar/?rev=7857&view=rev
Author: dmichelsen
Date: 2010-01-04 11:52:34 +0000 (Mon, 04 Jan 2010)
Log Message:
-----------
mpeg4ip: Add patch from Murray Jensen
Modified Paths:
--------------
csw/mgar/pkg/mpeg4ip/trunk/Makefile
csw/mgar/pkg/mpeg4ip/trunk/checksums
Added Paths:
-----------
csw/mgar/pkg/mpeg4ip/tags/legacy/
csw/mgar/pkg/mpeg4ip/tags/legacy/mjj_build
csw/mgar/pkg/mpeg4ip/tags/legacy/mjj_setup
csw/mgar/pkg/mpeg4ip/tags/legacy/mpeg4ip-1.6.1-mjj.patch
csw/mgar/pkg/mpeg4ip/tags/legacy/pkghelper.pl
csw/mgar/pkg/mpeg4ip/trunk/files/mpeg4ip-1.6.1-mjj.patch
Added: csw/mgar/pkg/mpeg4ip/tags/legacy/mjj_build
===================================================================
--- csw/mgar/pkg/mpeg4ip/tags/legacy/mjj_build (rev 0)
+++ csw/mgar/pkg/mpeg4ip/tags/legacy/mjj_build 2010-01-04 11:52:34 UTC (rev 7857)
@@ -0,0 +1,13 @@
+#!/bin/echo ERROR_you_must_source_this_file
+
+if [ ! -s ${cfgmarker:-"Makefile"} ]; then
+ eval ${cfgprogram:-"$SHELL ./configure"} ${cfgflags:-"--prefix=/opt/csw"}
+fi
+
+eval "$MAKE MAKE=$MAKE $mkflags" || exit
+
+mkdir -p $buildroot || exit
+
+rootvar=${rootvar:-DESTDIR}
+
+eval "$MAKE MAKE=$MAKE $rootvar=$buildroot $instflags install" || exit
Added: csw/mgar/pkg/mpeg4ip/tags/legacy/mjj_setup
===================================================================
--- csw/mgar/pkg/mpeg4ip/tags/legacy/mjj_setup (rev 0)
+++ csw/mgar/pkg/mpeg4ip/tags/legacy/mjj_setup 2010-01-04 11:52:34 UTC (rev 7857)
@@ -0,0 +1,93 @@
+#!/bin/echo ERROR_you_must_source_this_file
+
+[ -n "$LD_LIBRARY_PATH" ] && unset LD_LIBRARY_PATH
+
+SHELL=bash
+CONFIG_SHELL=bash
+MAKE=gmake
+
+PATH=/opt/csw/bin:/usr/openwin/bin:/usr/ccs/bin:/usr/sbin:/usr/xpg4/bin:/usr/bin
+
+CPPFLAGS="-D_FILE_OFFSET_BITS=64 -D_REENTRANT -I/opt/csw/include"
+CFLAGS="-g"
+CXXFLAGS="-g"
+LDFLAGS="-g -L/opt/csw/lib"
+if [ -n "$nozdefs" ]; then
+ LD_OPTIONS="-R/opt/csw/lib -L/opt/csw/lib"
+else
+ LD_OPTIONS="-z defs -R/opt/csw/lib -L/opt/csw/lib"
+fi
+
+case `uname -p` in
+
+sparc)
+ gccopt="-O3 -mcpu=v8"
+ ccopt="-fast -xarch=v8"
+ ;;
+
+i386)
+ gccopt="-O3 -march=i486"
+ ccopt="-fast -xarch=386"
+ ;;
+
+*)
+ echo huh\? 1>&2
+ exit 1
+ ;;
+
+esac
+
+case ${compiler-ss8} in
+
+gcc[34])
+ base=/opt/csw/${compiler}
+ gccver=`$base/bin/gcc -dumpversion`
+ PATH=$base/bin:$PATH
+ CPPFLAGS="-I$base/include -I$base/include/c++/$gccver $CPPFLAGS"
+ CFLAGS="$gccopt $CFLAGS"
+ CXXFLAGS="$gccopt $CXXFLAGS"
+ LD_OPTIONS="-L$base/lib $LD_OPTIONS"
+ CC=${CC-"gcc"}
+ CXX=${CXX-"g++"}
+ PICFLAG=${PICFLAG-"-fPIC"}
+ SHLDFLAG=${SHLDFLAG-"-shared"}
+ [ -n "$noztext" ] && SHLDFLAG="$SHLDFLAG -mimpure-text"
+ ;;
+
+gcc2)
+ CFLAGS="$gccopt $CFLAGS"
+ CXXFLAGS="$gccopt $CXXFLAGS"
+ CC=${CC-"gcc"}
+ CXX=${CXX-"g++"}
+ PICFLAG=${PICFLAG-"-fPIC"}
+ SHLDFLAG=${SHLDFLAG-"-shared"}
+ [ -n "$noztext" ] && SHLDFLAG="$SHLDFLAG -mimpure-text"
+ ;;
+
+ss8|cc|ss10|ss11)
+ case ${compiler-ss8} in
+ ss8|cc) base=/opt/SUNWspro ;;
+ ss10) base=/opt/studio10/SUNWspro ;;
+ ss11) base=/opt/studio11/SUNWspro ;;
+ *) echo huh\? 1>&2; exit 1 ;;
+ esac
+ PATH="$base/bin:$PATH"
+ CFLAGS="$ccopt $CFLAGS"
+ CXXFLAGS="$ccopt $CXXFLAGS"
+ LD_OPTIONS="-L$base/lib $LD_OPTIONS"
+ CC=${CC-"cc"}
+ CXX=${CXX-"CC"}
+ PICFLAG=${PICFLAG-"-KPIC"}
+ SHLDFLAG=${SHLDFLAG-"-G"}
+ ;;
+
+esac
+
+export PATH SHELL CONFIG_SHELL MAKE CPPFLAGS CC CFLAGS CXX CXXFLAGS
+export LDFLAGS LD_OPTIONS PICFLAG SHLDFLAG
+
+# configure sometimes gets this wrong ... the csw
+# gcc is set up to use system as/ld/etc from /usr/ccs
+lt_cv_path_LD=/usr/ccs/bin/ld; export lt_cv_path_LD
+# speed up
+lt_cv_sys_max_cmd_len=262144; export lt_cv_sys_max_cmd_len
Added: csw/mgar/pkg/mpeg4ip/tags/legacy/mpeg4ip-1.6.1-mjj.patch
===================================================================
--- csw/mgar/pkg/mpeg4ip/tags/legacy/mpeg4ip-1.6.1-mjj.patch (rev 0)
+++ csw/mgar/pkg/mpeg4ip/tags/legacy/mpeg4ip-1.6.1-mjj.patch 2010-01-04 11:52:34 UTC (rev 7857)
@@ -0,0 +1,304 @@
+Index: mpeg4ip-1.6.1/common/video/iso-mpeg4/src/Makefile.am
+===================================================================
+--- mpeg4ip-1.6.1.orig/common/video/iso-mpeg4/src/Makefile.am 2006-02-10 04:57:29.000000000 +1100
++++ mpeg4ip-1.6.1/common/video/iso-mpeg4/src/Makefile.am 2008-03-28 13:20:24.083621000 +1100
+@@ -1,5 +1,5 @@
+
+-AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -Werror -D_OBSS_ @BILLS_CPPWARNINGS@
++AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -D_OBSS_ @BILLS_CPPWARNINGS@
+
+ INCLUDES = -I$(srcdir)/../include
+
+Index: mpeg4ip-1.6.1/common/video/iso-mpeg4/src/Makefile.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/common/video/iso-mpeg4/src/Makefile.in 2007-04-27 09:59:31.000000000 +1000
++++ mpeg4ip-1.6.1/common/video/iso-mpeg4/src/Makefile.in 2008-03-27 01:55:41.267172000 +1100
+@@ -106,7 +106,7 @@
+ am__quote = @am__quote@
+ install_sh = @install_sh@
+
+-AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -Werror -D_OBSS_ @BILLS_CPPWARNINGS@
++AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -D_OBSS_ @BILLS_CPPWARNINGS@
+
+ INCLUDES = -I$(srcdir)/../include
+
+Index: mpeg4ip-1.6.1/common/video/mpeg4-2000/app/convertpar/Makefile.am
+===================================================================
+--- mpeg4ip-1.6.1.orig/common/video/mpeg4-2000/app/convertpar/Makefile.am 2003-05-06 07:07:21.000000000 +1000
++++ mpeg4ip-1.6.1/common/video/mpeg4-2000/app/convertpar/Makefile.am 2008-03-28 13:20:43.452101000 +1100
+@@ -1,6 +1,6 @@
+ #
+
+-AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -Werror -D_OBSS_
++AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -D_OBSS_
+
+ check_PROGRAMS = convertpar
+
+Index: mpeg4ip-1.6.1/common/video/mpeg4-2000/idct/Makefile.am
+===================================================================
+--- mpeg4ip-1.6.1.orig/common/video/mpeg4-2000/idct/Makefile.am 2003-11-14 09:08:37.000000000 +1100
++++ mpeg4ip-1.6.1/common/video/mpeg4-2000/idct/Makefile.am 2008-03-28 13:21:08.940124000 +1100
+@@ -1,6 +1,6 @@
+ AM_CFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_OBSS_ -DFGSPOSTCLIP -Wall -Wpointer-arith -Wcast-align -Wmissing-prototypes -fexceptions
+
+-AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_OBSS_ -DFGSPOSTCLIP -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -Werror
++AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_OBSS_ -DFGSPOSTCLIP -D_REENTRANT -DNOCONTROLS -fexceptions -Wall
+
+ noinst_LTLIBRARIES = libobj_idct.la
+
+Index: mpeg4ip-1.6.1/configure.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/configure.in 2007-11-12 04:39:13.000000000 +1100
++++ mpeg4ip-1.6.1/configure.in 2008-06-17 22:13:47.888186000 +1000
+@@ -237,7 +237,7 @@
+ [have_mpeg2=false])
+ if test x$have_mpeg2 = xtrue; then
+ AC_MSG_CHECKING([libmpeg2 version])
+- AC_COMPILE_IFELSE([#include <stdint.h>
++ AC_COMPILE_IFELSE([$ac_includes_default
+ #include <mpeg2dec/mpeg2.h>
+
+ #ifndef MPEG2_VERSION
+@@ -513,9 +513,9 @@
+ AC_DEFINE(HAVE_FFMPEG_INSTALLED, 1, [defined if ffmpeg is installed])
+ FFMPEG_INC=
+ FFMPEG_LIB="-lavcodec -lz $ffmpeg_add_libs"
+- AC_CHECK_TYPES([AVRational], , , [#include <ffmpeg/avcodec.h>])
+- AC_CHECK_MEMBERS(AVCodecContext.time_base, , , [#include <ffmpeg/avcodec.h>])
+- AC_CHECK_DECLS([avcodec_decode_audio2], , ,[#include <ffmpeg/avcodec.h>])
++ AC_CHECK_TYPES([AVRational], , , [#include <libavcodec/avcodec.h>])
++ AC_CHECK_MEMBERS(AVCodecContext.time_base, , , [#include <libavcodec/avcodec.h>])
++ AC_CHECK_DECLS([avcodec_decode_audio2], , ,[#include <libavcodec/avcodec.h>])
+ AC_DEFINE(HAVE_FFMPEG, 1, [enable ffmpeg for mp4live])
+ AC_CHECK_LIB(amrnb, VADxEncoder_Interface_init,
+ [have_amr_nb=true], [have_amr_nb=false])
+@@ -769,7 +769,7 @@
+
+ if test x$USENASM = xtrue; then
+ AC_MSG_CHECKING(nasm version...)
+- BILLSNASM_arg=`nasm -r | tr '.' ' '`
++ BILLSNASM_arg=`nasm -v | tr '.' ' '`
+ BILLSNASM_ret=`util/testnasm.sh $BILLSNASM_arg`
+ if test x$BILLSNASM_ret = x"yes"; then
+ USENASM=true
+Index: mpeg4ip-1.6.1/cvs_bootstrap
+===================================================================
+--- mpeg4ip-1.6.1.orig/cvs_bootstrap 2007-04-27 09:38:03.000000000 +1000
++++ mpeg4ip-1.6.1/cvs_bootstrap 2008-03-27 15:09:40.972209000 +1100
+@@ -6,7 +6,7 @@
+
+ # Check that we can find libtool
+ # Frequently it hasn't been installed
+-if glibtool --version > /dev/null 2> /dev/null
++if (glibtool --version >/dev/null 2>/dev/null)
+ then
+ libtool=glibtool
+ if libtoolize --version > /dev/null
+@@ -87,19 +87,19 @@
+
+ #
+ # This tries to find all the aclocal files that we need
+-for dir in /usr/local /usr/contrib /opt/gnome /usr /opt/local
+-do
+- if test -d $dir/share/aclocal -a `which aclocal` != $dir/bin/aclocal
+- then
+- ACLOCAL_FLAGS="-I $dir/share/aclocal $ACLOCAL_FLAGS"
+- fi
+-done
+-
+-if test $target_system != "CYGWIN_NT-5.1"; then
+-ERRCMD=--enable-warns-as-err
+-else
++#for dir in /usr/local /usr/contrib /opt/gnome /usr /opt/local
++#do
++# if test -d $dir/share/aclocal -a `which aclocal` != $dir/bin/aclocal
++# then
++# ACLOCAL_FLAGS="-I $dir/share/aclocal $ACLOCAL_FLAGS"
++# fi
++#done
++
++#if test $target_system != "CYGWIN_NT-5.1"; then
++#ERRCMD=--enable-warns-as-err
++#else
+ ERRCMD=
+-fi
++#fi
+
+ pwd=`pwd`
+ if test $target_system != "Darwin"; then
+Index: mpeg4ip-1.6.1/lib/SDLAudio/configure.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/SDLAudio/configure.in 2005-01-18 07:46:07.000000000 +1100
++++ mpeg4ip-1.6.1/lib/SDLAudio/configure.in 2008-03-27 15:13:02.326777000 +1100
+@@ -45,6 +45,7 @@
+
+ dnl Check for tools
+
++AM_PROG_AS
+ AC_LIBTOOL_WIN32_DLL
+ AM_PROG_LIBTOOL
+ AC_PROG_MAKE_SET
+Index: mpeg4ip-1.6.1/lib/gnu/Makefile.am
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/gnu/Makefile.am 2007-11-12 04:39:19.000000000 +1100
++++ mpeg4ip-1.6.1/lib/gnu/Makefile.am 2008-03-28 13:21:33.278293000 +1100
+@@ -12,5 +12,5 @@
+ EXTRA_DIST = libmissing60.dsp libmissing.vcproj \
+ need_for_win32.c
+
+-AM_CFLAGS = -D_REENTRANT -Werror -Wall -Wcast-align -Wstrict-prototypes -Wmissing-prototypes
++AM_CFLAGS = -D_REENTRANT -Wall -Wcast-align -Wstrict-prototypes -Wmissing-prototypes
+
+Index: mpeg4ip-1.6.1/lib/gnu/Makefile.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/gnu/Makefile.in 2007-11-12 05:04:47.000000000 +1100
++++ mpeg4ip-1.6.1/lib/gnu/Makefile.in 2008-03-27 01:56:56.241400000 +1100
+@@ -141,7 +141,7 @@
+ need_for_win32.c
+
+
+-AM_CFLAGS = -D_REENTRANT -Werror -Wall -Wcast-align -Wstrict-prototypes -Wmissing-prototypes
++AM_CFLAGS = -D_REENTRANT -Wall -Wcast-align -Wstrict-prototypes -Wmissing-prototypes
+ subdir = lib/gnu
+ mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+ CONFIG_HEADER = $(top_builddir)/mpeg4ip_config.h
+Index: mpeg4ip-1.6.1/lib/rtp/Makefile.am
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/rtp/Makefile.am 2007-11-12 04:39:25.000000000 +1100
++++ mpeg4ip-1.6.1/lib/rtp/Makefile.am 2008-03-28 13:23:26.489602000 +1100
+@@ -74,7 +74,7 @@
+
+ check_PROGRAMS = test_rtp_client test_rtp_server
+
+-AM_CFLAGS = -DDEBUG -Wall -Werror
++AM_CFLAGS = -DDEBUG -Wall
+ test_rtp_client_SOURCES = test_rtp_client.c
+ test_rtp_client_LDADD = libuclmmbase.la \
+ $(top_builddir)/lib/utils/libmutex.la \
+Index: mpeg4ip-1.6.1/lib/rtp/Makefile.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/rtp/Makefile.in 2007-11-12 05:04:25.000000000 +1100
++++ mpeg4ip-1.6.1/lib/rtp/Makefile.in 2008-03-27 01:54:27.572853000 +1100
+@@ -202,7 +202,7 @@
+
+ check_PROGRAMS = test_rtp_client test_rtp_server
+
+-AM_CFLAGS = -DDEBUG -Wall -Werror
++AM_CFLAGS = -DDEBUG -Wall
+ test_rtp_client_SOURCES = test_rtp_client.c
+ test_rtp_client_LDADD = libuclmmbase.la \
+ $(top_builddir)/lib/utils/libmutex.la \
+Index: mpeg4ip-1.6.1/lib/rtp/configure.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/rtp/configure.in 2006-03-21 10:13:25.000000000 +1100
++++ mpeg4ip-1.6.1/lib/rtp/configure.in 2008-03-28 13:22:21.554566000 +1100
+@@ -275,7 +275,7 @@
+ [AC_MSG_NOTICE([compiler warnings will not be errs])])
+
+ BILLS_CWARNINGS="$BASE_ERR"
+-CFLAGS="$CFLAGS -Wall -Werror"
++CFLAGS="$CFLAGS -Wall"
+ MY_CHECK_CC_OPT_SET([-Wmissing-prototypes], BILLS_CWARNINGS, [c compiler])
+ MY_CHECK_CC_OPT_SET([-Wmissing-declarations], BILLS_CWARNINGS, [c compiler])
+ MY_CHECK_CC_OPT_SET([-Wbad-function-cast], BILLS_CWARNINGS, [c compiler])
+Index: mpeg4ip-1.6.1/lib/rtp/rtp.c
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/rtp/rtp.c 2007-01-23 04:31:08.000000000 +1100
++++ mpeg4ip-1.6.1/lib/rtp/rtp.c 2008-03-27 01:54:27.582899000 +1100
+@@ -2489,6 +2489,9 @@
+ buffer_len += iov[i].iov_len;
+ }
+ if (buffer_len > session->m_output_buffer_size) {
++#ifndef MAX
++#define MAX(a,b) (((a)>(b))?(a):(b))
++#endif
+ session->m_output_buffer = (uint8_t *)xrealloc(session->m_output_buffer,
+ MAX(buffer_len, 1500));
+ session->m_output_buffer_size = MAX(buffer_len, 1500);
+Index: mpeg4ip-1.6.1/player/lib/audio/faad/Makefile.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/player/lib/audio/faad/Makefile.in 2007-11-12 05:03:57.000000000 +1100
++++ mpeg4ip-1.6.1/player/lib/audio/faad/Makefile.in 2008-03-27 01:57:58.796587000 +1100
+@@ -161,7 +161,7 @@
+ util.h
+
+ INCLUDES = -I$(top_srcdir)/include
+-AM_CFLAGS = -O2 -Werror -Wall -fexceptions -fno-strict-aliasing
++AM_CFLAGS = -O2 -Wall -fexceptions -fno-strict-aliasing
+
+ EXTRA_DIST = COPYING libfaad60.dsp README libfaad.vcproj
+ subdir = player/lib/audio/faad
+Index: mpeg4ip-1.6.1/player/plugin/audio/ffmpeg/ffmpeg.h
+===================================================================
+--- mpeg4ip-1.6.1.orig/player/plugin/audio/ffmpeg/ffmpeg.h 2007-11-12 04:39:28.000000000 +1100
++++ mpeg4ip-1.6.1/player/plugin/audio/ffmpeg/ffmpeg.h 2008-06-17 22:11:13.309632000 +1000
+@@ -26,7 +26,7 @@
+ #include "codec_plugin.h"
+ extern "C" {
+ #ifdef HAVE_FFMPEG_INSTALLED
+-#include <ffmpeg/avcodec.h>
++#include <libavcodec/avcodec.h>
+ #else
+ #include <avcodec.h>
+ #endif
+Index: mpeg4ip-1.6.1/player/plugin/video/ffmpeg/ffmpeg.h
+===================================================================
+--- mpeg4ip-1.6.1.orig/player/plugin/video/ffmpeg/ffmpeg.h 2007-11-12 04:39:30.000000000 +1100
++++ mpeg4ip-1.6.1/player/plugin/video/ffmpeg/ffmpeg.h 2008-06-17 22:11:20.199119000 +1000
+@@ -27,7 +27,7 @@
+ #include "codec_plugin.h"
+ extern "C" {
+ #ifdef HAVE_FFMPEG_INSTALLED
+-#include <ffmpeg/avcodec.h>
++#include <libavcodec/avcodec.h>
+ #else
+ #include <avcodec.h>
+ #endif
+Index: mpeg4ip-1.6.1/server/mp4live/audio_ffmpeg.h
+===================================================================
+--- mpeg4ip-1.6.1.orig/server/mp4live/audio_ffmpeg.h 2007-11-12 04:39:33.000000000 +1100
++++ mpeg4ip-1.6.1/server/mp4live/audio_ffmpeg.h 2008-06-17 22:11:24.108828000 +1000
+@@ -25,7 +25,7 @@
+ #include "audio_encoder.h"
+ extern "C" {
+ #ifdef HAVE_FFMPEG_INSTALLED
+-#include <ffmpeg/avcodec.h>
++#include <libavcodec/avcodec.h>
+ #else
+ #include <avcodec.h>
+ #endif
+Index: mpeg4ip-1.6.1/server/mp4live/video_encoder_class.cpp
+===================================================================
+--- mpeg4ip-1.6.1.orig/server/mp4live/video_encoder_class.cpp 2007-11-12 04:39:33.000000000 +1100
++++ mpeg4ip-1.6.1/server/mp4live/video_encoder_class.cpp 2008-06-17 22:11:28.738579000 +1000
+@@ -27,7 +27,7 @@
+ #ifdef HAVE_FFMPEG
+ extern "C" {
+ #ifdef HAVE_FFMPEG_INSTALLED
+-#include <ffmpeg/avcodec.h>
++#include <libavcodec/avcodec.h>
+ #else
+ #include <avcodec.h>
+ #endif
+Index: mpeg4ip-1.6.1/server/mp4live/video_ffmpeg.h
+===================================================================
+--- mpeg4ip-1.6.1.orig/server/mp4live/video_ffmpeg.h 2007-11-12 04:39:33.000000000 +1100
++++ mpeg4ip-1.6.1/server/mp4live/video_ffmpeg.h 2008-06-17 22:11:32.758184000 +1000
+@@ -25,7 +25,7 @@
+ #include "video_encoder.h"
+ extern "C" {
+ #ifdef HAVE_FFMPEG_INSTALLED
+-#include <ffmpeg/avcodec.h>
++#include <libavcodec/avcodec.h>
+ #else
+ #include <avcodec.h>
+ #endif
+Index: mpeg4ip-1.6.1/server/util/mp4encode/Makefile.am
+===================================================================
+--- mpeg4ip-1.6.1.orig/server/util/mp4encode/Makefile.am 2004-08-18 07:38:06.000000000 +1000
++++ mpeg4ip-1.6.1/server/util/mp4encode/Makefile.am 2008-03-27 01:54:27.592870000 +1100
+@@ -1 +1,3 @@
+-EXTRA_DIST = mp4encode mp4venc_template.par
++EXTRA_DIST = mp4venc_template.par
++
++bin_SCRIPTS = mp4encode
Added: csw/mgar/pkg/mpeg4ip/tags/legacy/pkghelper.pl
===================================================================
--- csw/mgar/pkg/mpeg4ip/tags/legacy/pkghelper.pl (rev 0)
+++ csw/mgar/pkg/mpeg4ip/tags/legacy/pkghelper.pl 2010-01-04 11:52:34 UTC (rev 7857)
@@ -0,0 +1,894 @@
+#!/opt/csw/bin/perl -w
+use strict;
+use warnings FATAL => 'uninitialized';
+
+use FindBin qw($RealBin $RealScript);
+use File::Basename;
+use Getopt::Long;
+
+my @csw_ignore = qw(
+opt/csw
+opt/csw/bin
+opt/csw/bin/sparcv8
+opt/csw/bin/sparcv8plus
+opt/csw/bin/sparcv8plus+vis
+opt/csw/bin/sparcv9
+opt/csw/etc
+opt/csw/include
+opt/csw/lib
+opt/csw/lib/X11
+opt/csw/lib/X11/app-defaults
+opt/csw/lib/sparcv8plus
+opt/csw/lib/sparcv8plus+vis
+opt/csw/lib/sparcv9
+opt/csw/libexec
+opt/csw/sbin
+opt/csw/share
+opt/csw/share/doc
+opt/csw/share/info
+opt/csw/share/info/dir
+opt/csw/share/locale
+opt/csw/share/locale/az
+opt/csw/share/locale/az/LC_MESSAGES
+opt/csw/share/locale/be
+opt/csw/share/locale/be/LC_MESSAGES
+opt/csw/share/locale/bg
+opt/csw/share/locale/bg/LC_MESSAGES
+opt/csw/share/locale/ca
+opt/csw/share/locale/ca/LC_MESSAGES
+opt/csw/share/locale/cs
+opt/csw/share/locale/cs/LC_MESSAGES
+opt/csw/share/locale/da
+opt/csw/share/locale/da/LC_MESSAGES
+opt/csw/share/locale/de
+opt/csw/share/locale/de/LC_MESSAGES
+opt/csw/share/locale/el
+opt/csw/share/locale/el/LC_MESSAGES
+opt/csw/share/locale/en\@boldquot
+opt/csw/share/locale/en\@boldquot/LC_MESSAGES
+opt/csw/share/locale/en\@quot
+opt/csw/share/locale/en\@quot/LC_MESSAGES
+opt/csw/share/locale/es
+opt/csw/share/locale/es/LC_MESSAGES
+opt/csw/share/locale/et
+opt/csw/share/locale/et/LC_MESSAGES
+opt/csw/share/locale/eu
+opt/csw/share/locale/eu/LC_MESSAGES
+opt/csw/share/locale/fi
+opt/csw/share/locale/fi/LC_MESSAGES
+opt/csw/share/locale/fr
+opt/csw/share/locale/fr/LC_MESSAGES
+opt/csw/share/locale/ga
+opt/csw/share/locale/ga/LC_MESSAGES
+opt/csw/share/locale/gl
+opt/csw/share/locale/gl/LC_MESSAGES
+opt/csw/share/locale/he
+opt/csw/share/locale/he/LC_MESSAGES
+opt/csw/share/locale/hr
+opt/csw/share/locale/hr/LC_MESSAGES
+opt/csw/share/locale/hu
+opt/csw/share/locale/hu/LC_MESSAGES
+opt/csw/share/locale/id
+opt/csw/share/locale/id/LC_MESSAGES
+opt/csw/share/locale/it
+opt/csw/share/locale/it/LC_MESSAGES
+opt/csw/share/locale/ja
+opt/csw/share/locale/ja/LC_MESSAGES
+opt/csw/share/locale/ko
+opt/csw/share/locale/ko/LC_MESSAGES
+opt/csw/share/locale/locale.alias
+opt/csw/share/locale/lt
+opt/csw/share/locale/lt/LC_MESSAGES
+opt/csw/share/locale/nl
+opt/csw/share/locale/nl/LC_MESSAGES
+opt/csw/share/locale/nn
+opt/csw/share/locale/nn/LC_MESSAGES
+opt/csw/share/locale/no
+opt/csw/share/locale/no/LC_MESSAGES
+opt/csw/share/locale/pl
+opt/csw/share/locale/pl/LC_MESSAGES
+opt/csw/share/locale/pt
+opt/csw/share/locale/pt/LC_MESSAGES
+opt/csw/share/locale/pt_BR
+opt/csw/share/locale/pt_BR/LC_MESSAGES
+opt/csw/share/locale/ro
+opt/csw/share/locale/ro/LC_MESSAGES
+opt/csw/share/locale/ru
+opt/csw/share/locale/ru/LC_MESSAGES
+opt/csw/share/locale/sk
+opt/csw/share/locale/sk/LC_MESSAGES
+opt/csw/share/locale/sl
+opt/csw/share/locale/sl/LC_MESSAGES
+opt/csw/share/locale/sp
+opt/csw/share/locale/sp/LC_MESSAGES
+opt/csw/share/locale/sr
+opt/csw/share/locale/sr/LC_MESSAGES
+opt/csw/share/locale/sv
+opt/csw/share/locale/sv/LC_MESSAGES
+opt/csw/share/locale/tr
+opt/csw/share/locale/tr/LC_MESSAGES
+opt/csw/share/locale/uk
+opt/csw/share/locale/uk/LC_MESSAGES
+opt/csw/share/locale/vi
+opt/csw/share/locale/vi/LC_MESSAGES
+opt/csw/share/locale/wa
+opt/csw/share/locale/wa/LC_MESSAGES
+opt/csw/share/locale/zh
+opt/csw/share/locale/zh/LC_MESSAGES
+opt/csw/share/locale/zh_CN
+opt/csw/share/locale/zh_CN/LC_MESSAGES
+opt/csw/share/locale/zh_CN.GB2312
+opt/csw/share/locale/zh_CN.GB2312/LC_MESSAGES
+opt/csw/share/locale/zh_TW
+opt/csw/share/locale/zh_TW/LC_MESSAGES
+opt/csw/share/locale/zh_TW.Big5
+opt/csw/share/locale/zh_TW.Big5/LC_MESSAGES
+opt/csw/share/man
+opt/csw/share/man/man1
+opt/csw/share/man/man2
+opt/csw/share/man/man3
+opt/csw/share/man/man4
+opt/csw/share/man/man5
+opt/csw/share/man/man6
+opt/csw/share/man/man7
+opt/csw/share/man/man8
+opt/csw/var
+etc
+etc/dt
+etc/dt/appconfig
+etc/dt/appconfig/icons
+etc/dt/appconfig/icons/C
+etc/dt/appconfig/types
+etc/dt/appconfig/types/C
+etc/dt/appconfig/appmanager
+etc/dt/appconfig/appmanager/C
+etc/dt/appconfig/help
+etc/dt/config
+etc/dt/config/C
+etc/dt/config/C/Xresources.d
+etc/dt/config/ar
+etc/dt/config/ar/Xresources.d
+etc/dt/config/ar_EG.UTF-8
+etc/dt/config/ar_EG.UTF-8/Xresources.d
+etc/dt/config/cs_CZ.ISO8859-2
+etc/dt/config/cs_CZ.ISO8859-2/Xresources.d
+etc/dt/config/de
+etc/dt/config/de/Xresources.d
+etc/dt/config/de.ISO8859-15
+etc/dt/config/de.ISO8859-15/Xresources.d
+etc/dt/config/de.UTF-8
+etc/dt/config/de.UTF-8/Xresources.d
+etc/dt/config/de_AT.ISO8859-15
+etc/dt/config/de_AT.ISO8859-15/Xresources.d
+etc/dt/config/en_GB.ISO8859-15
+etc/dt/config/en_GB.ISO8859-15/Xresources.d
+etc/dt/config/en_IE.ISO8859-15
+etc/dt/config/en_IE.ISO8859-15/Xresources.d
+etc/dt/config/en_US.ISO8859-15
+etc/dt/config/en_US.ISO8859-15/Xresources.d
+etc/dt/config/en_US.UTF-8
+etc/dt/config/en_US.UTF-8/Xresources.d
+etc/dt/config/es
+etc/dt/config/es/Xresources.d
+etc/dt/config/es.ISO8859-15
+etc/dt/config/es.ISO8859-15/Xresources.d
+etc/dt/config/es.UTF-8
+etc/dt/config/es.UTF-8/Xresources.d
+etc/dt/config/fr
+etc/dt/config/fr/Xresources.d
+etc/dt/config/fr.ISO8859-15
+etc/dt/config/fr.ISO8859-15/Xresources.d
+etc/dt/config/fr.UTF-8
+etc/dt/config/fr.UTF-8/Xresources.d
+etc/dt/config/fr_BE.ISO8859-15
+etc/dt/config/fr_BE.ISO8859-15/Xresources.d
+etc/dt/config/he
+etc/dt/config/he/Xresources.d
+etc/dt/config/he_IL.UTF-8
+etc/dt/config/he_IL.UTF-8/Xresources.d
+etc/dt/config/hu_HU.ISO8859-2
+etc/dt/config/hu_HU.ISO8859-2/Xresources.d
+etc/dt/config/it
+etc/dt/config/it/Xresources.d
+etc/dt/config/it.ISO8859-15
+etc/dt/config/it.ISO8859-15/Xresources.d
+etc/dt/config/it.UTF-8
+etc/dt/config/it.UTF-8/Xresources.d
+etc/dt/config/ja
+etc/dt/config/ja/Xresources.d
+etc/dt/config/ja_JP.PCK
+etc/dt/config/ja_JP.PCK/Xresources.d
+etc/dt/config/ja_JP.UTF-8
+etc/dt/config/ja_JP.UTF-8/Xresources.d
+etc/dt/config/ja_JP.eucJP
+etc/dt/config/ja_JP.eucJP/Xresources.d
+etc/dt/config/ko
+etc/dt/config/ko/Xresources.d
+etc/dt/config/ko.UTF-8
+etc/dt/config/ko.UTF-8/Xresources.d
+etc/dt/config/pl_PL.ISO8859-2
+etc/dt/config/pl_PL.ISO8859-2/Xresources.d
+etc/dt/config/pl_PL.UTF-8
+etc/dt/config/pl_PL.UTF-8/Xresources.d
+etc/dt/config/pt_BR
+etc/dt/config/pt_BR/Xresources.d
+etc/dt/config/pt_BR.ISO8859-1
+etc/dt/config/pt_BR.ISO8859-1/Xresources.d
+etc/dt/config/pt_BR.UTF-8
+etc/dt/config/pt_BR.UTF-8/Xresources.d
+etc/dt/config/ru_RU.ISO8859-5
+etc/dt/config/ru_RU.ISO8859-5/Xresources.d
+etc/dt/config/ru_RU.UTF-8
+etc/dt/config/ru_RU.UTF-8/Xresources.d
+etc/dt/config/sk_SK.ISO8859-2
+etc/dt/config/sk_SK.ISO8859-2/Xresources.d
+etc/dt/config/sv
+etc/dt/config/sv/Xresources.d
+etc/dt/config/sv.ISO8859-15
+etc/dt/config/sv.ISO8859-15/Xresources.d
+etc/dt/config/sv.UTF-8
+etc/dt/config/sv.UTF-8/Xresources.d
+etc/dt/config/th_TH
+etc/dt/config/th_TH/Xresources.d
+etc/dt/config/th_TH.ISO8859-11
+etc/dt/config/th_TH.ISO8859-11/Xresources.d
+etc/dt/config/th_TH.TIS620
+etc/dt/config/th_TH.TIS620/Xresources.d
+etc/dt/config/th_TH.UTF-8
+etc/dt/config/th_TH.UTF-8/Xresources.d
+etc/dt/config/zh
+etc/dt/config/zh/Xresources.d
+etc/dt/config/zh.GBK
+etc/dt/config/zh.GBK/Xresources.d
+etc/dt/config/zh.UTF-8
+etc/dt/config/zh.UTF-8/Xresources.d
+etc/dt/config/zh_HK.BIG5HK
+etc/dt/config/zh_HK.BIG5HK/Xresources.d
+etc/dt/config/zh_TW
+etc/dt/config/zh_TW/Xresources.d
+etc/dt/config/zh_TW.BIG5
+etc/dt/config/zh_TW.BIG5/Xresources.d
+etc/dt/config/zh_TW.UTF-8
+etc/dt/config/zh_TW.UTF-8/Xresources.d
+.*/perllocal.pod
+.*\\.a
+);
+
+my @csw_dirs = qw(
+etc/init.d
+etc/rc0.d
+etc/rc1.d
+etc/rc2.d
+etc/rc3.d
+etc/rcS.d
+opt/csw
+opt/csw/etc
+opt/csw/bin
+opt/csw/bin/sparcv8
+opt/csw/bin/sparcv8plus
+opt/csw/bin/sparcv8plus+vis
+opt/csw/bin/sparcv9
+opt/csw/sbin
+opt/csw/share
+opt/csw/share/doc
+opt/csw/share/locale
+opt/csw/share/man
+opt/csw/share/man/man1
+opt/csw/share/man/man2
+opt/csw/share/man/man3
+opt/csw/share/man/man4
+opt/csw/share/man/man5
+opt/csw/share/man/man6
+opt/csw/share/man/man7
+opt/csw/share/man/man8
+opt/csw/share/info
+opt/csw/lib
+opt/csw/lib/X11
+opt/csw/lib/X11/app-defaults
+opt/csw/include
+opt/csw/libexec
+opt/csw/var
+);
+
+my @possible_scripts = qw(request checkinstall preinstall postinstall preremove postremove i.smfno i.smfyes space);
+
+my @sunwsprolocs = ('/opt/forte8/SUNWspro/bin', '/opt/SUNWspro/bin', '/opt/studio11/SUNWspro/bin');
+my $builddir = $ENV{'BUILDDIR'} || '/var/tmp/sithglan-pkg';
+my $packagedir = $ENV{'PACKAGEDIR'} || "${RealBin}/../packages";
+my $content = "/var/sadm/install/contents";
+my %options; # getopt
+
+# variables defined via eval
+my $progname = undef;
+my $version = undef;
+my $buildroot = undef;
+my $category = undef;
+my $vendor = undef;
+my $hotline = 'http://www.opencsw.org/bugtrack/';
+my $email = 'thomas at opencsw.org';
+my @sources = undef;
+my $prepatch = undef;
+my @patches = (); # default to no patches
+my $copyright = undef;
+my $build = undef;
+my $suffix = undef;
+my $rev = undef;
+my $defarch = undef;
+my $osversion = undef;
+my @packages = undef;
+my @isaexecs = ();
+my $sunwspropath = undef;
+my %attributes = ();
+my %seenpaths = ();
+my %contents = ();
+my $prototypeadd = undef;
+
+# helper applications
+my $tar = '/opt/csw/bin/gtar';
+my $svn = '/opt/csw/bin/svn';
+
+sub
+system_dieonfail
+{
+ my $cmd = shift;
+ system($cmd) == 0 or die "system '$cmd' failed: $?"
+}
+
+sub
+prepare
+{
+ chdir($builddir) || die("can't change to $builddir");
+
+ foreach my $source (@sources) {
+ if (($source =~ /tar\.gz$/)
+ ||($source =~ /tgz$/)
+ ||($source =~ /tar\.Z$/)) {
+ system_dieonfail("/bin/gzcat ${RealBin}/../sources/${source} | ${tar} xf -");
+
+ } elsif ($source =~ /tar\.bz2$/) {
+ system_dieonfail("LD_LIBRARY_PATH= /bin/bzcat ${RealBin}/../sources/${source} | ${tar} xf -");
+
+ } elsif ($source =~ /tar$/) {
+ system_dieonfail("${tar} xf ${RealBin}/../sources/${source}");
+
+ } elsif (my @svn_subs = ($source =~ /^svn:\/\/([^\/]+)([^\?]+)(\?(.*))?/)) {
+ my $svn_host = shift @svn_subs;
+ my $svn_path = shift @svn_subs;
+
+ my $svn_dir = "";
+ my $svn_rev = "";
+ my $svn_proto = "";
+
+ if ($#svn_subs == 1) {
+ my @svn_prms = split(/\&/, $svn_subs[1]);
+
+ foreach my $svn_prm (@svn_prms) {
+ my @svn_pair = split(/=/, $svn_prm);
+
+ if ($svn_pair[0] eq "dir") {
+ $svn_dir = $svn_pair[1];
+ } elsif ($svn_pair[0] eq "rev") {
+ $svn_rev = $svn_pair[1];
+ } elsif ($svn_pair[0] eq "proto") {
+ $svn_proto = $svn_pair[1];
+ } else {
+ die("huh? name='$svn_pair[0]' value='$svn_pair[1]'");
+ }
+ }
+ }
+
+ if ($svn_dir eq "") {
+ $svn_dir = $svn_path;
+ $svn_dir =~ s/^.+\///;
+ }
+
+ if ($svn_rev eq "") {
+ $svn_rev = "HEAD";
+ }
+
+ if ($svn_proto eq "") {
+ $svn_proto = "svn";
+ }
+
+ system_dieonfail("${svn} checkout --quiet --non-interactive --revision ${svn_rev} ${svn_proto}://${svn_host}${svn_path} ${svn_dir}");
+ } else {
+ die("don't know how to extrace ${source}");
+ }
+ }
+
+ if (defined($prepatch)) {
+ open(PREPATCH, "> $builddir/prepatch") || die ("can't create $builddir/prepatch: $!");
+ print PREPATCH $prepatch;
+ close(PREPATCH);
+ system_dieonfail("chmod +x $builddir/prepatch");
+ system_dieonfail("/bin/bash -x $builddir/prepatch");
+ unlink("$builddir/prepatch");
+ }
+
+ foreach my $patch (@patches) {
+ chdir("$builddir/@{$patch}[1]") || die("can't change to $builddir/@{$patch}[1]");
+ system_dieonfail("gpatch @{$patch}[2] < ${RealBin}/../sources/@{$patch}[0]");
+ }
+}
+
+sub probe_directory
+{
+ while (my $dir = shift) {
+ -d $dir && return $dir;
+ }
+
+ return undef;
+}
+
+
+sub
+isaexec
+{
+ foreach my $exec (@isaexecs) {
+ open(ISA, "> ${builddir}/isaexec.c") || die("can't create ${builddir}/isaexec.c for overwrite: $!");
+ print ISA <<"EOF";
+#include <unistd.h>
+
+int
+main(int argc, char *argv[], char *envp[])
+{
+ return (isaexec("${exec}", argv, envp));
+}
+EOF
+ close(ISA);
+ system_dieonfail("${sunwspropath}/cc -o ${buildroot}${exec} ${builddir}/isaexec.c");
+ unlink("${builddir}/isaexec.c");
+ }
+}
+
+sub
+build
+{
+ my $buildscript = "${builddir}/${progname}-${version}-buildscript";
+
+ chdir($builddir) || die("can't change to $builddir");
+
+ open(BUILD, "> $buildscript") || die ("can't create $buildscript: $!");
+ print BUILD $build;
+ close(BUILD);
+ system_dieonfail("chmod +x $buildscript");
+ system_dieonfail("/bin/bash -xe $buildscript");
+ # unlink("$buildscript");
+ isaexec();
+ strip();
+}
+
+sub
+compute_ownership
+{
+ my $path = shift;
+ my $perm = shift;
+ my $user = 'root';
+ my $group = 'bin';
+
+ if (%attributes) {
+ $perm = $attributes{$path}->{perm} || $perm;
+ $user = $attributes{$path}->{user} || $user;
+ $group = $attributes{$path}->{group} || $group;
+ }
+
+ return "$perm $user $group\n";
+}
+
+# This functions purpose is to get sure that all directories in /path/to/file
+# are also in file list. It also accounts which filename was packaged in what
+# package. So that it possible to warn the user if a file has been packaed in
+# more than one package.
+
+sub
+verify_path
+{
+ my $r = shift;
+ my $prototype = shift;
+ my $path = shift;
+
+ push(@{$seenpaths{$path}}, "CSW$r->{pkgname}");
+
+ # Handle symlinks in the art of etc/rcS.d/K03cswsamba=../init.d
+ $path =~ s/=.*$//;
+
+ while ('.' ne ($path = dirname($path))) {
+ if (! grep($_ =~ /^d none \/\Q${path}\E\s+/, @$prototype)) {
+ pkgproto($r, $prototype, `echo ${path} | pkgproto`);
+ }
+ }
+}
+
+sub
+pkgproto
+{
+ my $r = shift;
+ my $prototype = shift;
+
+ while (my $line = shift) {
+ my @fields = split(/\s+/, $line);
+ if ((! ($fields[2] =~ /\//) ) || (grep(eval "\$fields[2] =~ m|^$_\$|", @csw_ignore))) {
+ # skip certain paths (opt, etc, ...)
+ # print STDERR "WARNING: Ignoring prototype path <$fields[2] ($fields[0])>\n";
+ next;
+ }
+ if ($fields[0] eq 'd') {
+ # d none opt/csw 0755 sithglan icipguru
+ if (grep($fields[2] eq $_, @csw_dirs)) {
+ unshift(@$prototype, "$fields[0] $fields[1] /$fields[2] ? ? ?\n");
+ } else {
+ unshift(@$prototype, "$fields[0] $fields[1] /$fields[2] " . compute_ownership("/$fields[2]", "$fields[3]"));
+ }
+
+ } elsif ($fields[0] eq 'f') {
+ # f none opt/csw 0755 sithglan icipguru
+ push(@$prototype, "$fields[0] $fields[1] /$fields[2] " . compute_ownership("/$fields[2]", "$fields[3]"));
+ verify_path($r, $prototype, $fields[2]);
+
+ } elsif ( ($fields[0] eq 's')
+ ||($fields[0] eq 'l')) {
+ push(@$prototype, "$fields[0] $fields[1] /$fields[2]\n");
+ verify_path($r, $prototype, $fields[2]);
+ } else {
+ die ("unknown line: <$line>");
+ }
+ }
+}
+
+sub
+generate_prototype
+{
+ my $r = shift;
+
+ my @prototype = ();
+
+ chdir($buildroot) || die("can't change to ${buildroot}: $!");
+ push(@prototype, "i pkginfo\n");
+ push(@prototype, "i depend\n");
+ if (defined(${copyright})) {
+ -f "$builddir/${copyright}" || die("can't find copyrightfile: $!");
+ system_dieonfail("cp $builddir/${copyright} copyright");
+ push(@prototype, "i copyright\n");
+ }
+ foreach my $file (@possible_scripts) {
+ if (defined($r->{"$file"})) {
+ -f "${RealBin}/../sources/$r->{$file}" || die("can't find $file: $!");
+ system_dieonfail("cp -f ${RealBin}/../sources/$r->{$file} $file");
+ push(@prototype, "i $file\n");
+ }
+ }
+
+ my @dirs = `gfind @{$r->{filelist}} -type d | sort | uniq | pkgproto`;
+ pkgproto($r, \@prototype, @dirs);
+ my @links = `gfind @{$r->{filelist}} -type l | sort | uniq | pkgproto`;
+ pkgproto($r, \@prototype, @links);
+ my @files = `gfind @{$r->{filelist}} -type f | sort | uniq | pkgproto`;
+ pkgproto($r, \@prototype, @files);
+
+ open(PROTOTYPE, "> ${buildroot}/prototype") || die("can't open ${buildroot}/prototype for overwrite: $!");
+ print PROTOTYPE @prototype;
+ if (defined(${prototypeadd})) {
+ print PROTOTYPE $prototypeadd;
+ }
+ close(PROTOTYPE);
+}
+
+sub
+uniq
+{
+ my %hash; @hash{@_} = ();
+ return sort keys %hash;
+}
+
+sub
+write_dependencies
+{
+ my $r = shift || die("one reference expected");
+
+ my @out = `pkginfo`;
+ my %pkg = ();
+ foreach my $line (@out) {
+ if ($line =~ /^[^\s]+\s+([^\s]+)\s+([^\s].*)/) {
+ $pkg{$1} = "$2";
+ }
+ }
+
+ open(DEP, '> depend') || die("can't open depend file: $!");
+
+ foreach my $dep (@{$r->{dependencies}}) {
+ if (! defined($pkg{$dep})) {
+ print STDERR "WARNING: FAKEING dependency for <$dep>\n";
+ $pkg{$dep} = 'common - THIS IS A FAKE DEPENDENCY';
+ }
+ print DEP "P $dep $pkg{$dep}\n";
+ }
+
+ if (defined($r->{incompatibilities})) {
+ foreach my $inc (@{$r->{incompatibilities}}) {
+ if (! defined($pkg{$inc})) {
+ print STDERR "WARNING: FAKEING incompatibiltie for <$inc>\n";
+ $pkg{$inc} = 'common - THIS IS A FAKE INCOMPATIBILTY';
+ }
+ print DEP "I $inc $pkg{$inc}\n";
+ }
+ }
+
+ close(DEP);
+}
+
+sub
+resolve_link
+{
+ my $file = shift || die ("one argument expected");
+ my $count = 0;
+
+ chomp($file);
+
+ while ((-l $file)
+ && ($count < 10)) {
+ my $dirname = dirname($file);
+ $file = readlink($file);
+ if(! ($file =~ /^\//)) {
+ $file = $dirname . '/' . $file;
+ }
+ $count++;
+ }
+
+ return $file;
+}
+
+sub
+a1minusa2
+{
+ my ($a1,$a2) = @_;
+ my %h;
+ @h{@$a2} = (1) x @$a2;
+ return grep {!exists $h{$_}} @$a1;
+}
+
+sub
+populate_contents
+{
+ open(FILE, ${content}) || die("can't open ${content}: $!");
+ for my $line (<FILE>) {
+ # /etc/cron.d/queuedefs f none 0644 root sys 17 1164 1018133064 SUNWcsr
+ # 0 1 2 3 4 5 6 7 8 9
+ my @array = split(/\s+/, $line);
+ my ($file, $type, @packages) = @array[0, 1, 9 ... $#array];
+ if ($type =~ /^f$/) {
+ push(@{$contents{$file}}, @packages);
+ }
+ }
+ close(FILE);
+}
+
+sub
+find_dependencies
+{
+ my $r = shift || die("one reference expected");
+ populate_contents();
+
+ chdir(${buildroot}) || die("can't change to ${buildroot}: $!");
+ # look for shared libaries
+ my @deps = `gfind @{$r->{filelist}} \\( \\( -type f -perm +111 \\) -o -name \\*.so\\* \\) | xargs ldd 2> /dev/null | grep -v 'file not found' 2> /dev/null | grep '=>' | awk '{print \$3}'`;
+
+ # look for bangs
+ my @files = `gfind @{$r->{filelist}} -type f -perm +111`;
+ foreach my $file (@possible_scripts) {
+ -f "${buildroot}/${file}" && push(@files, "${buildroot}/${file}");
+ }
+ foreach my $file (@files) {
+ chomp($file);
+ open(FILE, $file) || die("can't open ${file}: $!");
+ my $firstline = <FILE>;
+ if ($firstline =~ /^#!\s?([^\s]+)/) {
+ push(@deps, "$1\n");
+ }
+ close(FILE);
+ }
+
+ # resolve symlinks / substitute
+ @deps = uniq(@deps);
+ for my $element (@deps) {
+ # /bin and /lib are packages in /usr/{bin,lib}
+ $element =~ s#^/bin#/usr/bin#;
+ $element =~ s#^/lib#/usr/lib#;
+ # /opt/csw/lib/sparcv8 is a symlink to .
+ $element =~ s#^/opt/csw/lib/sparcv8#/opt/csw/lib#;
+ # Resolve links if necessary
+ $element = resolve_link($element);
+ }
+
+ # get dependencies
+ my @newdeps = ();
+ foreach my $dep (@deps) {
+ # </usr/lib/../openwin/lib/libX11.so.4>
+ $dep =~ s#\w+\/\.\.##g;
+
+ if (defined($contents{$dep})) {
+ push(@newdeps, @{$contents{$dep}});
+ }
+ }
+
+ # exclude anything that starts with SUNW (but only from discovered
+ # list, not from the list specified in the spec file)
+ @newdeps = grep(!/^SUNW/, @newdeps);
+ push(@{$r->{dependencies}}, @newdeps);
+
+ # make them uniq and don't include a dependency to the packet itself
+ @{$r->{dependencies}} = grep("CSW$r->{pkgname}" ne $_, uniq(@{$r->{dependencies}}));
+
+ if (defined($r->{exclude_dependencies})) {
+ @{$r->{dependencies}} = a1minusa2($r->{dependencies}, $r->{exclude_dependencies});
+ }
+
+ write_dependencies($r);
+}
+
+sub
+strip
+{
+ system("/usr/ccs/bin/strip ${buildroot}/opt/csw/bin/* ${buildroot}/opt/csw/bin/sparcv8/* ${buildroot}/opt/csw/bin/sparcv8plus/* ${buildroot}/opt/csw/bin/sparcv8plus+vis/* ${buildroot}/opt/csw/bin/sparcv9/* 2> /dev/null");
+}
+
+sub
+generate_pkginfo
+{
+ my $r = shift || die("one reference expected");
+ my $a = $r->{arch} || $defarch;
+ my $p = $r->{pstamp} || undef;
+
+ chdir(${buildroot}) || die("can't change to ${buildroot}: $!");
+ open(PKGINFO, '> pkginfo');
+
+print PKGINFO <<"EOF";
+PKG=CSW$r->{pkgname}
+NAME=$r->{name}
+ARCH=$a
+CATEGORY=${category}
+VERSION=${version}
+VENDOR=${vendor}
+HOTLINE=${hotline}
+EMAIL=${email}
+EOF
+print PKGINFO "PSTAMP=$p\n" if ($p);
+# DESC=[Optional extra info about software. Omit this line if you wish]
+ close(PKGINFO);
+}
+
+sub
+actually_package
+{
+ my $r = shift || die("one reference expected");
+ my $a = $r->{arch} || $defarch;
+
+ my $filename="$r->{filename}-${version}-SunOS${osversion}-$a-CSW.pkg";
+
+ chdir(${buildroot}) || die("can't change to ${buildroot}: $!");
+ system_dieonfail("/usr/bin/pkgmk -o -r ${buildroot}");
+ system_dieonfail("/usr/bin/pkgtrans -s /var/spool/pkg ${packagedir}/$filename CSW$r->{pkgname}");
+ unlink("${packagedir}/${filename}.gz");
+ system_dieonfail("/usr/bin/gzip ${packagedir}/$filename");
+ system("rm -rf /var/spool/pkg/CSW$r->{pkgname}");
+ system_dieonfail("/opt/csw/bin/checkpkg ${packagedir}/${filename}.gz");
+}
+
+# This function makes all files not readable by me readable. This is because
+# the bang checker and pkgmk needs this. The correct permissions are allready
+# in pkginfo file so everything is as it should be.
+
+sub
+make_all_files_readable_by_user
+{
+ my $r = shift || die("one reference expected");
+
+ chdir(${buildroot}) || die("can't change to ${buildroot}: $!");
+ system_dieonfail("gfind @{$r->{filelist}} \\( -perm -400 -o -print \\) | xargs -x -n 1 chmod u+r");
+}
+
+sub
+mkpackage
+{
+ foreach my $r (@packages) {
+ generate_prototype($r);
+ make_all_files_readable_by_user($r);
+ generate_pkginfo($r);
+ find_dependencies($r);
+ actually_package($r);
+ }
+
+ foreach my $key (keys(%seenpaths)) {
+ if (1 < @{$seenpaths{$key}}) {
+ print "$key -> @{$seenpaths{$key}}\n";
+ }
+ }
+}
+
+if (! (-d $builddir)) {
+ mkdir("$builddir", 0755) || die("can't create $builddir: $!");
+}
+
+#main
+# {
+
+if (! GetOptions(\%options, "p", "b", "c", "s", "u", "rev=s")) {
+ print <<"__EOF__";
+${RealBin}/${RealScript} [-p] [-b] [-c] [-s] specfile ...
+
+ -p prepare: extract and patch sources
+ -b build: build and install sources into destenation
+ -c create: create package
+ -s show: show build script and exit (high precedence!)
+ -u cleanUp: remove ${builddir}
+ -rev <rev> use <rev> instead of current date
+
+ If no parameter is specified. The given specfile is processed. (eg.
+ prepared, build and packaged)
+__EOF__
+ exit(1);
+}
+
+# Unset makeflags
+$ENV{'MFLAGS'} = '';
+$ENV{'MAKEFLAGS'} = '';
+
+my $infile = shift || die('one argument expected');
+
+if (! defined($defarch)) {
+ $defarch = `/bin/uname -p` || die("can't get arch: $!");
+ chomp($defarch);
+}
+
+$sunwspropath = probe_directory(@sunwsprolocs) || die ("couldn't find SUNWspro");
+
+eval `/bin/cat $infile`;
+
+if (! defined($rev)) {
+ $rev = $options{'rev'} || $ENV{'REV'} || `/bin/date '+20%y.%m.%d'`;
+}
+chomp ($rev);
+
+$version .= ',REV=' . ${rev};
+
+if (defined($suffix)) {
+ $version .= $suffix;
+}
+
+if (! defined($osversion)) {
+ $osversion = `/bin/uname -r`;
+ chomp($osversion);
+}
+
+if (! -d "${packagedir}") {
+ system("/bin/mkdir -p ${packagedir}");
+}
+
+if (! keys(%options)) {
+ prepare();
+ build();
+ mkpackage();
+ exit();
+}
+
+if (defined($options{'s'})) {
+ print $build;
+ exit();
+}
+
+if (defined($options{'p'})) {
+ prepare();
+}
+
+if (defined($options{'b'})) {
+ build();
+}
+
+if (defined($options{'c'})) {
+ mkpackage();
+}
+
+if (defined($options{'u'})) {
+ system("/bin/rm -rf ${builddir}");
+}
+
+# }
Modified: csw/mgar/pkg/mpeg4ip/trunk/Makefile
===================================================================
--- csw/mgar/pkg/mpeg4ip/trunk/Makefile 2010-01-04 10:28:15 UTC (rev 7856)
+++ csw/mgar/pkg/mpeg4ip/trunk/Makefile 2010-01-04 11:52:34 UTC (rev 7857)
@@ -10,9 +10,12 @@
endef
SF_PROJ = mpeg4ip
+# SF doesn't have the latest version as it was removed due to some breakage
+# So we get it from another place and patch the flaw away
MASTER_SITES = http://download.m0k.org/handbrake/contrib/
DISTFILES = $(GARNAME)-$(GARVERSION).tar.gz
DISTNAME = $(GARNAME)
+PATCHFILES = mpeg4ip-1.6.1-mjj.patch
# We define upstream file regex so we can be notifed of new upstream software release
UFILES_REGEX = $(GARNAME)-(\d+(?:\.\d+)*).tar.gz
Modified: csw/mgar/pkg/mpeg4ip/trunk/checksums
===================================================================
--- csw/mgar/pkg/mpeg4ip/trunk/checksums 2010-01-04 10:28:15 UTC (rev 7856)
+++ csw/mgar/pkg/mpeg4ip/trunk/checksums 2010-01-04 11:52:34 UTC (rev 7857)
@@ -1 +1,2 @@
+0ae174e13da77a783e636aa2904b7c90 mpeg4ip-1.6.1-mjj.patch
cd81b566cf2fafc7318f58be8998182c mpeg4ip-1.6.1.tar.gz
Added: csw/mgar/pkg/mpeg4ip/trunk/files/mpeg4ip-1.6.1-mjj.patch
===================================================================
--- csw/mgar/pkg/mpeg4ip/trunk/files/mpeg4ip-1.6.1-mjj.patch (rev 0)
+++ csw/mgar/pkg/mpeg4ip/trunk/files/mpeg4ip-1.6.1-mjj.patch 2010-01-04 11:52:34 UTC (rev 7857)
@@ -0,0 +1,304 @@
+Index: mpeg4ip-1.6.1/common/video/iso-mpeg4/src/Makefile.am
+===================================================================
+--- mpeg4ip-1.6.1.orig/common/video/iso-mpeg4/src/Makefile.am 2006-02-10 04:57:29.000000000 +1100
++++ mpeg4ip-1.6.1/common/video/iso-mpeg4/src/Makefile.am 2008-03-28 13:20:24.083621000 +1100
+@@ -1,5 +1,5 @@
+
+-AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -Werror -D_OBSS_ @BILLS_CPPWARNINGS@
++AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -D_OBSS_ @BILLS_CPPWARNINGS@
+
+ INCLUDES = -I$(srcdir)/../include
+
+Index: mpeg4ip-1.6.1/common/video/iso-mpeg4/src/Makefile.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/common/video/iso-mpeg4/src/Makefile.in 2007-04-27 09:59:31.000000000 +1000
++++ mpeg4ip-1.6.1/common/video/iso-mpeg4/src/Makefile.in 2008-03-27 01:55:41.267172000 +1100
+@@ -106,7 +106,7 @@
+ am__quote = @am__quote@
+ install_sh = @install_sh@
+
+-AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -Werror -D_OBSS_ @BILLS_CPPWARNINGS@
++AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -D_OBSS_ @BILLS_CPPWARNINGS@
+
+ INCLUDES = -I$(srcdir)/../include
+
+Index: mpeg4ip-1.6.1/common/video/mpeg4-2000/app/convertpar/Makefile.am
+===================================================================
+--- mpeg4ip-1.6.1.orig/common/video/mpeg4-2000/app/convertpar/Makefile.am 2003-05-06 07:07:21.000000000 +1000
++++ mpeg4ip-1.6.1/common/video/mpeg4-2000/app/convertpar/Makefile.am 2008-03-28 13:20:43.452101000 +1100
+@@ -1,6 +1,6 @@
+ #
+
+-AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -Werror -D_OBSS_
++AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -D_OBSS_
+
+ check_PROGRAMS = convertpar
+
+Index: mpeg4ip-1.6.1/common/video/mpeg4-2000/idct/Makefile.am
+===================================================================
+--- mpeg4ip-1.6.1.orig/common/video/mpeg4-2000/idct/Makefile.am 2003-11-14 09:08:37.000000000 +1100
++++ mpeg4ip-1.6.1/common/video/mpeg4-2000/idct/Makefile.am 2008-03-28 13:21:08.940124000 +1100
+@@ -1,6 +1,6 @@
+ AM_CFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_OBSS_ -DFGSPOSTCLIP -Wall -Wpointer-arith -Wcast-align -Wmissing-prototypes -fexceptions
+
+-AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_OBSS_ -DFGSPOSTCLIP -D_REENTRANT -DNOCONTROLS -fexceptions -Wall -Werror
++AM_CXXFLAGS = -D__TRACE_AND_STATS_ -D__DOUBLE_PRECISION_ -D_OBSS_ -DFGSPOSTCLIP -D_REENTRANT -DNOCONTROLS -fexceptions -Wall
+
+ noinst_LTLIBRARIES = libobj_idct.la
+
+Index: mpeg4ip-1.6.1/configure.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/configure.in 2007-11-12 04:39:13.000000000 +1100
++++ mpeg4ip-1.6.1/configure.in 2008-06-17 22:13:47.888186000 +1000
+@@ -237,7 +237,7 @@
+ [have_mpeg2=false])
+ if test x$have_mpeg2 = xtrue; then
+ AC_MSG_CHECKING([libmpeg2 version])
+- AC_COMPILE_IFELSE([#include <stdint.h>
++ AC_COMPILE_IFELSE([$ac_includes_default
+ #include <mpeg2dec/mpeg2.h>
+
+ #ifndef MPEG2_VERSION
+@@ -513,9 +513,9 @@
+ AC_DEFINE(HAVE_FFMPEG_INSTALLED, 1, [defined if ffmpeg is installed])
+ FFMPEG_INC=
+ FFMPEG_LIB="-lavcodec -lz $ffmpeg_add_libs"
+- AC_CHECK_TYPES([AVRational], , , [#include <ffmpeg/avcodec.h>])
+- AC_CHECK_MEMBERS(AVCodecContext.time_base, , , [#include <ffmpeg/avcodec.h>])
+- AC_CHECK_DECLS([avcodec_decode_audio2], , ,[#include <ffmpeg/avcodec.h>])
++ AC_CHECK_TYPES([AVRational], , , [#include <libavcodec/avcodec.h>])
++ AC_CHECK_MEMBERS(AVCodecContext.time_base, , , [#include <libavcodec/avcodec.h>])
++ AC_CHECK_DECLS([avcodec_decode_audio2], , ,[#include <libavcodec/avcodec.h>])
+ AC_DEFINE(HAVE_FFMPEG, 1, [enable ffmpeg for mp4live])
+ AC_CHECK_LIB(amrnb, VADxEncoder_Interface_init,
+ [have_amr_nb=true], [have_amr_nb=false])
+@@ -769,7 +769,7 @@
+
+ if test x$USENASM = xtrue; then
+ AC_MSG_CHECKING(nasm version...)
+- BILLSNASM_arg=`nasm -r | tr '.' ' '`
++ BILLSNASM_arg=`nasm -v | tr '.' ' '`
+ BILLSNASM_ret=`util/testnasm.sh $BILLSNASM_arg`
+ if test x$BILLSNASM_ret = x"yes"; then
+ USENASM=true
+Index: mpeg4ip-1.6.1/cvs_bootstrap
+===================================================================
+--- mpeg4ip-1.6.1.orig/cvs_bootstrap 2007-04-27 09:38:03.000000000 +1000
++++ mpeg4ip-1.6.1/cvs_bootstrap 2008-03-27 15:09:40.972209000 +1100
+@@ -6,7 +6,7 @@
+
+ # Check that we can find libtool
+ # Frequently it hasn't been installed
+-if glibtool --version > /dev/null 2> /dev/null
++if (glibtool --version >/dev/null 2>/dev/null)
+ then
+ libtool=glibtool
+ if libtoolize --version > /dev/null
+@@ -87,19 +87,19 @@
+
+ #
+ # This tries to find all the aclocal files that we need
+-for dir in /usr/local /usr/contrib /opt/gnome /usr /opt/local
+-do
+- if test -d $dir/share/aclocal -a `which aclocal` != $dir/bin/aclocal
+- then
+- ACLOCAL_FLAGS="-I $dir/share/aclocal $ACLOCAL_FLAGS"
+- fi
+-done
+-
+-if test $target_system != "CYGWIN_NT-5.1"; then
+-ERRCMD=--enable-warns-as-err
+-else
++#for dir in /usr/local /usr/contrib /opt/gnome /usr /opt/local
++#do
++# if test -d $dir/share/aclocal -a `which aclocal` != $dir/bin/aclocal
++# then
++# ACLOCAL_FLAGS="-I $dir/share/aclocal $ACLOCAL_FLAGS"
++# fi
++#done
++
++#if test $target_system != "CYGWIN_NT-5.1"; then
++#ERRCMD=--enable-warns-as-err
++#else
+ ERRCMD=
+-fi
++#fi
+
+ pwd=`pwd`
+ if test $target_system != "Darwin"; then
+Index: mpeg4ip-1.6.1/lib/SDLAudio/configure.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/SDLAudio/configure.in 2005-01-18 07:46:07.000000000 +1100
++++ mpeg4ip-1.6.1/lib/SDLAudio/configure.in 2008-03-27 15:13:02.326777000 +1100
+@@ -45,6 +45,7 @@
+
+ dnl Check for tools
+
++AM_PROG_AS
+ AC_LIBTOOL_WIN32_DLL
+ AM_PROG_LIBTOOL
+ AC_PROG_MAKE_SET
+Index: mpeg4ip-1.6.1/lib/gnu/Makefile.am
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/gnu/Makefile.am 2007-11-12 04:39:19.000000000 +1100
++++ mpeg4ip-1.6.1/lib/gnu/Makefile.am 2008-03-28 13:21:33.278293000 +1100
+@@ -12,5 +12,5 @@
+ EXTRA_DIST = libmissing60.dsp libmissing.vcproj \
+ need_for_win32.c
+
+-AM_CFLAGS = -D_REENTRANT -Werror -Wall -Wcast-align -Wstrict-prototypes -Wmissing-prototypes
++AM_CFLAGS = -D_REENTRANT -Wall -Wcast-align -Wstrict-prototypes -Wmissing-prototypes
+
+Index: mpeg4ip-1.6.1/lib/gnu/Makefile.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/gnu/Makefile.in 2007-11-12 05:04:47.000000000 +1100
++++ mpeg4ip-1.6.1/lib/gnu/Makefile.in 2008-03-27 01:56:56.241400000 +1100
+@@ -141,7 +141,7 @@
+ need_for_win32.c
+
+
+-AM_CFLAGS = -D_REENTRANT -Werror -Wall -Wcast-align -Wstrict-prototypes -Wmissing-prototypes
++AM_CFLAGS = -D_REENTRANT -Wall -Wcast-align -Wstrict-prototypes -Wmissing-prototypes
+ subdir = lib/gnu
+ mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+ CONFIG_HEADER = $(top_builddir)/mpeg4ip_config.h
+Index: mpeg4ip-1.6.1/lib/rtp/Makefile.am
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/rtp/Makefile.am 2007-11-12 04:39:25.000000000 +1100
++++ mpeg4ip-1.6.1/lib/rtp/Makefile.am 2008-03-28 13:23:26.489602000 +1100
+@@ -74,7 +74,7 @@
+
+ check_PROGRAMS = test_rtp_client test_rtp_server
+
+-AM_CFLAGS = -DDEBUG -Wall -Werror
++AM_CFLAGS = -DDEBUG -Wall
+ test_rtp_client_SOURCES = test_rtp_client.c
+ test_rtp_client_LDADD = libuclmmbase.la \
+ $(top_builddir)/lib/utils/libmutex.la \
+Index: mpeg4ip-1.6.1/lib/rtp/Makefile.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/rtp/Makefile.in 2007-11-12 05:04:25.000000000 +1100
++++ mpeg4ip-1.6.1/lib/rtp/Makefile.in 2008-03-27 01:54:27.572853000 +1100
+@@ -202,7 +202,7 @@
+
+ check_PROGRAMS = test_rtp_client test_rtp_server
+
+-AM_CFLAGS = -DDEBUG -Wall -Werror
++AM_CFLAGS = -DDEBUG -Wall
+ test_rtp_client_SOURCES = test_rtp_client.c
+ test_rtp_client_LDADD = libuclmmbase.la \
+ $(top_builddir)/lib/utils/libmutex.la \
+Index: mpeg4ip-1.6.1/lib/rtp/configure.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/rtp/configure.in 2006-03-21 10:13:25.000000000 +1100
++++ mpeg4ip-1.6.1/lib/rtp/configure.in 2008-03-28 13:22:21.554566000 +1100
+@@ -275,7 +275,7 @@
+ [AC_MSG_NOTICE([compiler warnings will not be errs])])
+
+ BILLS_CWARNINGS="$BASE_ERR"
+-CFLAGS="$CFLAGS -Wall -Werror"
++CFLAGS="$CFLAGS -Wall"
+ MY_CHECK_CC_OPT_SET([-Wmissing-prototypes], BILLS_CWARNINGS, [c compiler])
+ MY_CHECK_CC_OPT_SET([-Wmissing-declarations], BILLS_CWARNINGS, [c compiler])
+ MY_CHECK_CC_OPT_SET([-Wbad-function-cast], BILLS_CWARNINGS, [c compiler])
+Index: mpeg4ip-1.6.1/lib/rtp/rtp.c
+===================================================================
+--- mpeg4ip-1.6.1.orig/lib/rtp/rtp.c 2007-01-23 04:31:08.000000000 +1100
++++ mpeg4ip-1.6.1/lib/rtp/rtp.c 2008-03-27 01:54:27.582899000 +1100
+@@ -2489,6 +2489,9 @@
+ buffer_len += iov[i].iov_len;
+ }
+ if (buffer_len > session->m_output_buffer_size) {
++#ifndef MAX
++#define MAX(a,b) (((a)>(b))?(a):(b))
++#endif
+ session->m_output_buffer = (uint8_t *)xrealloc(session->m_output_buffer,
+ MAX(buffer_len, 1500));
+ session->m_output_buffer_size = MAX(buffer_len, 1500);
+Index: mpeg4ip-1.6.1/player/lib/audio/faad/Makefile.in
+===================================================================
+--- mpeg4ip-1.6.1.orig/player/lib/audio/faad/Makefile.in 2007-11-12 05:03:57.000000000 +1100
++++ mpeg4ip-1.6.1/player/lib/audio/faad/Makefile.in 2008-03-27 01:57:58.796587000 +1100
+@@ -161,7 +161,7 @@
+ util.h
+
+ INCLUDES = -I$(top_srcdir)/include
+-AM_CFLAGS = -O2 -Werror -Wall -fexceptions -fno-strict-aliasing
++AM_CFLAGS = -O2 -Wall -fexceptions -fno-strict-aliasing
+
+ EXTRA_DIST = COPYING libfaad60.dsp README libfaad.vcproj
+ subdir = player/lib/audio/faad
+Index: mpeg4ip-1.6.1/player/plugin/audio/ffmpeg/ffmpeg.h
+===================================================================
+--- mpeg4ip-1.6.1.orig/player/plugin/audio/ffmpeg/ffmpeg.h 2007-11-12 04:39:28.000000000 +1100
++++ mpeg4ip-1.6.1/player/plugin/audio/ffmpeg/ffmpeg.h 2008-06-17 22:11:13.309632000 +1000
+@@ -26,7 +26,7 @@
+ #include "codec_plugin.h"
+ extern "C" {
+ #ifdef HAVE_FFMPEG_INSTALLED
+-#include <ffmpeg/avcodec.h>
++#include <libavcodec/avcodec.h>
+ #else
+ #include <avcodec.h>
+ #endif
+Index: mpeg4ip-1.6.1/player/plugin/video/ffmpeg/ffmpeg.h
+===================================================================
+--- mpeg4ip-1.6.1.orig/player/plugin/video/ffmpeg/ffmpeg.h 2007-11-12 04:39:30.000000000 +1100
++++ mpeg4ip-1.6.1/player/plugin/video/ffmpeg/ffmpeg.h 2008-06-17 22:11:20.199119000 +1000
+@@ -27,7 +27,7 @@
+ #include "codec_plugin.h"
+ extern "C" {
+ #ifdef HAVE_FFMPEG_INSTALLED
+-#include <ffmpeg/avcodec.h>
++#include <libavcodec/avcodec.h>
+ #else
+ #include <avcodec.h>
+ #endif
+Index: mpeg4ip-1.6.1/server/mp4live/audio_ffmpeg.h
+===================================================================
+--- mpeg4ip-1.6.1.orig/server/mp4live/audio_ffmpeg.h 2007-11-12 04:39:33.000000000 +1100
++++ mpeg4ip-1.6.1/server/mp4live/audio_ffmpeg.h 2008-06-17 22:11:24.108828000 +1000
+@@ -25,7 +25,7 @@
+ #include "audio_encoder.h"
+ extern "C" {
+ #ifdef HAVE_FFMPEG_INSTALLED
+-#include <ffmpeg/avcodec.h>
++#include <libavcodec/avcodec.h>
+ #else
+ #include <avcodec.h>
+ #endif
+Index: mpeg4ip-1.6.1/server/mp4live/video_encoder_class.cpp
+===================================================================
+--- mpeg4ip-1.6.1.orig/server/mp4live/video_encoder_class.cpp 2007-11-12 04:39:33.000000000 +1100
++++ mpeg4ip-1.6.1/server/mp4live/video_encoder_class.cpp 2008-06-17 22:11:28.738579000 +1000
+@@ -27,7 +27,7 @@
+ #ifdef HAVE_FFMPEG
+ extern "C" {
+ #ifdef HAVE_FFMPEG_INSTALLED
+-#include <ffmpeg/avcodec.h>
++#include <libavcodec/avcodec.h>
+ #else
+ #include <avcodec.h>
+ #endif
+Index: mpeg4ip-1.6.1/server/mp4live/video_ffmpeg.h
+===================================================================
+--- mpeg4ip-1.6.1.orig/server/mp4live/video_ffmpeg.h 2007-11-12 04:39:33.000000000 +1100
++++ mpeg4ip-1.6.1/server/mp4live/video_ffmpeg.h 2008-06-17 22:11:32.758184000 +1000
+@@ -25,7 +25,7 @@
+ #include "video_encoder.h"
+ extern "C" {
+ #ifdef HAVE_FFMPEG_INSTALLED
+-#include <ffmpeg/avcodec.h>
++#include <libavcodec/avcodec.h>
+ #else
+ #include <avcodec.h>
+ #endif
+Index: mpeg4ip-1.6.1/server/util/mp4encode/Makefile.am
+===================================================================
+--- mpeg4ip-1.6.1.orig/server/util/mp4encode/Makefile.am 2004-08-18 07:38:06.000000000 +1000
++++ mpeg4ip-1.6.1/server/util/mp4encode/Makefile.am 2008-03-27 01:54:27.592870000 +1100
+@@ -1 +1,3 @@
+-EXTRA_DIST = mp4encode mp4venc_template.par
++EXTRA_DIST = mp4venc_template.par
++
++bin_SCRIPTS = mp4encode
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
More information about the devel
mailing list